# -*- coding: utf-8 -*-
# Description:
# Test for PANOS
#
# Authors:
# Benoît Allard <benoit.allard@greenbone.net>
#
# Copyright:
# Copyright (C) 2015 Greenbone Networks GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

import unittest

import xml.etree.ElementTree as ET

from ospd_paloalto.paloalto import PANOS410


class testPANOS410(unittest.TestCase):

    def setUp(self):
        self.api = PANOS410('paloalto.example.com')
        self.emptyreport = ET.Element('report')
        res = ET.SubElement(self.emptyreport, 'result')
        entry = ET.SubElement(res, 'entry')

    def tearDown(self):
        del self.api


    def test_custom_report(self):

        def my_report(this, type_, name, cmd):
            self.assertEquals(type_, 'dynamic')
            self.assertEquals(name, 'custom-dynamic-report')
            self.assertEquals(ET.tostring(cmd), "<reportdef><type><type><aggregate-by><member>val1</member><member>val2</member></aggregate-by><values><member>val</member></values></type></type><period>yesterday</period><query>(42 is True)</query><topn>500</topn></reportdef>")
            return self.emptyreport

        PANOS410._report = my_report
        list(self.api.custom_report('type', ('val1', 'val2'), ('val',), 'yesterday', '(42 is True)', 500))

