# -*- coding: utf-8 -*-
# Description:
# Test for PaloAlto Traffic
#
# Authors:
# Benoît Allard <benoit.allard@greenbone.net>
#
# Copyright:
# Copyright (C) 2015 Greenbone Networks GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

import unittest

import xml.etree.ElementTree as ET

from ospd_paloalto.paloalto import Vulnerability

class testVulnerability(unittest.TestCase):

    def testParsing(self):
        vuln = Vulnerability(ET.fromstring("""<entry name="30003" p="yes">
  <threatname>Microsoft Windows DCOM RPC Interface Buffer Overrun Vulnerability</threatname>
  <cve><member>CVE-2003-0352</member></cve>
  <vendor><member>MS03-026</member></vendor>
  <category>code-execution</category>
  <severity>critical</severity>
  <affected-host><server>yes</server></affected-host>
  <default-action>reset-server</default-action>
</entry>

    """))
        self.assertEquals(vuln.threatname, 'Microsoft Windows DCOM RPC Interface Buffer Overrun Vulnerability')
        self.assertEquals(vuln.name, 30003)
        self.assertEquals(vuln.severity, 'critical')
        self.assertEquals(vuln.cves, ['CVE-2003-0352'])
        self.assertEquals(vuln.vendors, ['MS03-026'])

